generateRandomModels {galgo} | R Documentation

## Generates Random shorter models

### Description

Evaluate random models using the specified gene indexes.

### Usage

    generateRandomModels(genes,  bigbang,
    size=trunc(length(genes)/2), n=100,
    fitnessFunc=bigbang$data$modelSelectionFunc,
    models=FALSE, ...)

### Arguments

`genes` | Original chromosome object (or numeric vector).
`bigbang` | The `BigBang` object to be used to call the fitness function.
`size` | Size of new random models.
`n` | Number of models
`fitnessFunc` | The fitness function used to evaluate the chromosomes. The default is the usage of `bigbang$galgo$fitnessFunc`.
`models` | Logical value.
`...` | Other parameters passed to fitnessFunc.

### Value

If `models==TRUE`, a vector of resulted fitness for random models, otherwise a list with models (matrix, cols=models) and their fitness (vector) is returned.

### Author(s)

Victor Trevino

### See Also

`BigBang`.

### Examples

    ## Not run:
    rm <- generateRandomModels(geneFrequency(bb,value="index")[1:50],bb,size=5,n=100,models=T)
    rm

    ## End(Not run)

[Package galgo version 1.4 Index]